<?php
header("Content-Type: text/html; charset=iso-8859-1");
ViewResponse::getInstance()->setMethodAjax();
//update cr_cliente
//set NombreCompleto = concat(`ApellidoPaterno`,' ',`ApellidoMaterno`, ', ',`Nombres`)


if( $_GET['input']){
	
	
	
	$o_ObjectBean = new ClienteBean();
  
	$tamanioPag = 15;
	//COLOCAR CAMPOS DE LA CABECERA DEL LISTADO 
	 
	//Todos los Mercados de Todas las sucursales
	if(myUser::getUser()->getRoleId() == "sys.gen" || myUser::getUser()->getRoleId() == "sys.view"){
		$o_MercadoBL = new MercadoBL();
		$a_o_Mercado = $o_MercadoBL->busquedaMercado(new MercadoBean());
	}
	
	if(myUser::getUser()->getRoleId() == "sys.res"){
		//Filtro por Sucursal
	 	$o_SucursalBean = new SucursalBean();
	 	$o_SucursalBean->setIdAdministrador(myUser::getUser()->getIdColaborador());
	 	
	 	$o_SucursalBL = new SucursalBL();
	 	$a_o_sucursal = $o_SucursalBL->busquedaSucursal($o_SucursalBean);
	 	$o_SucursalMercadoBean_Temp = new SucursalMercadoBean();
	  	$o_SucursalMercadoBean_Temp->setIdSucursal($idSucursal); 
	  	
	  	$o_SucursalMercadoBL_Temp = new SucursalMercadoBL();
	  	$a_o_SucursalMercadoResult = $o_SucursalMercadoBL_Temp->busquedaSucursalMercadoDetalle($o_SucursalMercadoBean_Temp);
		
		$o_MercadoBL = new MercadoBL();
		$a_o_MercadoRepresentanteBeanResult = $o_MercadoBL->busquedaMercado(new MercadoBean());
		if(is_array($a_o_MercadoRepresentanteBeanResult)){
			foreach ($a_o_MercadoRepresentanteBeanResult as $key => $o_MercadoRepresentante){
		  		$a_Mercado[] = $o_MercadoRepresentante->getIdMercado();
		  	}
		}else{
	  		$a_Mercado[] = "0"; 
	  	}
			
	}
	if(myUser::getUser()->getRoleId() == "sys.sec"){
		
		$o_ColaboradorBean_Temp = new ColaboradorBean();
	  	$o_ColaboradorBean_Temp->setIdColaborador(myUser::getUser()->getIdColaborador()); 
	  	$o_ColaboradorBL_Temp = new ColaboradorBL();
	  	$o_ColaboradorBeanResult = $o_ColaboradorBL_Temp->busquedaColaborador($o_ColaboradorBean_Temp);
	  	 	
		$o_SucursalBean = new SucursalBean();
	 	$o_SucursalBean->setIdAdministrador($o_ColaboradorBeanResult[0]->getIdPadre());
	 	
	 	$o_SucursalBL = new SucursalBL();
	 	$a_o_sucursal = $o_SucursalBL->busquedaSucursal($o_SucursalBean);
	 	$o_SucursalMercadoBean_Temp = new SucursalMercadoBean();
	  	$o_SucursalMercadoBean_Temp->setIdSucursal($idSucursal); 
	  	
	  	$o_SucursalMercadoBL_Temp = new SucursalMercadoBL();
	  	$a_o_SucursalMercadoResult = $o_SucursalMercadoBL_Temp->busquedaSucursalMercadoDetalle($o_SucursalMercadoBean_Temp);
	  	
	  	foreach ($a_o_SucursalMercadoResult as $key => $o_MercadoRepresentante){
	  		$a_Mercado[$o_MercadoRepresentante->getIdMercado()] = $o_MercadoRepresentante->getIdMercado();
	  	}
		
	}
	
	
	$o_ObjectBean->setFiltroMercado($a_Mercado);
		
	if($_GET['input']  	!=""){ $o_ObjectBean->setNombreCompletoTotal($_GET['input']); }
		
	 $o_ObjectBean->page 		= $page;
	 $o_ObjectBean->tamPag 		= $tamanioPag;
	 $o_ObjectBean->sortCampos 	= $sortCampos;
	 $o_ObjectBean->sortType   	= $sortType;
	
	$o_class = new ClienteBL();
	$aResults = $o_class->busquedaCliente($o_ObjectBean);
	
	 
	
	if(!$page) $page = 1;
	
	
	
	ViewResponse::getInstance()->setMethodAjax();

		
	header ("Expires: Mon, 26 Jul 1997 05:00:00 GMT"); // Date in the past
	header ("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT"); // always modified
	header ("Cache-Control: no-cache, must-revalidate"); // HTTP/1.1
	header ("Pragma: no-cache"); // HTTP/1.0
	
	sleep(2);
	
	if (isset($_REQUEST['json']))
	{
		header("Content-Type: application/json");
	
		echo "{\"results\": [";
		$arr = array();
		$o_ObjectBean = new MercadoBean();
		$o_class = new MercadoBL();
		for ($i=0;$i<count($aResults);$i++){
			$o_ObjectBean->setMercadoId($aResults->getIdMercado());
			$a_ObjectBean = $o_class->busquedaMercado($o_ObjectBean);
			foreach ($a_ObjectBean as $iKey => $o_objBean){ 
				$descripcionM = $o_objBean->getDescripcion();
			}
			
			$arr[] = "{\"id\": \"".$aResults->getIdCliente()."\", \"value\": \"".$aResults->getNombreCompleto()."\", \"info\":\"".$descripcionM."\"}";
		}
		echo implode(", ", $arr);
		echo "]}";
	}
	else
	{
		header("Content-Type: text/xml");

		echo "<?xml version=\"1.0\" encoding=\"utf-8\" ?><results>";
		$o_ObjectBean = new MercadoBean();
		$o_class = new MercadoBL();
		for ($i=0;$i<count($aResults);$i++){
			$o_ObjectBean->setIdMercado($aResults[$i]->getIdMercado());
			$a_ObjectBean = $o_class->busquedaMercado($o_ObjectBean);
			foreach ($a_ObjectBean as $iKey => $o_objBean){ 
				$descripcionM = $o_objBean->getDescripcion();
			}
			echo "<rs id=\"".$aResults[$i]->getIdCliente()."\" info=\"".$descripcionM."\">".$aResults[$i]->getNombreCompleto()."</rs>";
		}
		echo "</results>";
	}

}else{
switch ($type){
  
  case 'nameDoc':

    $o_ObjectBean = new DocenteBean();
    if($value!=""){ 
      $o_ObjectBean->setCodigoDocente($value);
      
      $o_class = new DocenteBL();
      $a_ObjectDocenteBean = $o_class->busquedaDocente($o_ObjectBean);

      if(is_array($a_ObjectDocenteBean) && count($a_ObjectDocenteBean) > 0){
        $tmp = array($nombreElm=>$a_ObjectDocenteBean[0]->getNombre());
      }else{
        $tmp = array($nombreElm=>"<b><font color=red>No se encontro el registro</font></b>");
      }
      
      $scadena = utilJson::generateJsonElment($tmp);
      ////echo "<pre>";
      //print_r($scadena);
      //echo "<pre>";
    }
       
    header("X-JSON: ".$scadena);
  break;
  case 'NombreColaborador':

    $o_ObjectBean = new ColaboradorBean();
    if($value!=""){ 
      $o_ObjectBean->setIdColaborador($value);
      
      $o_class = new ColaboradorBL();
      $a_ObjectColaboradorBean = $o_class->busquedaColaborador($o_ObjectBean);

      if(is_array($a_ObjectColaboradorBean) && count($a_ObjectColaboradorBean) > 0){
        $tmp = array($nombreElm=>$a_ObjectColaboradorBean[0]->getNombreCompleto());
      }else{
        $tmp = array($nombreElm=>"<b><font color=red>No se encontro el registro</font></b>");
      }
      
      $scadena = utilJson::generateJsonElment($tmp);
      ////echo "<pre>";
      //print_r($scadena);
      //echo "<pre>";
    }
       
    header("X-JSON: ".$scadena);
  break;
  
  case 'NombreMercado':

    $o_ObjectBean = new MercadoBean();
    if($value!=""){ 
      $o_ObjectBean->setIdMercado($value);
      
      $o_class = new MercadoBL();
      $a_ObjectMercadoBean = $o_class->busquedaMercado($o_ObjectBean);

      if(is_array($a_ObjectMercadoBean) && count($a_ObjectMercadoBean) > 0){
        $tmp = array($nombreElm=>$a_ObjectMercadoBean[0]->getDescripcion());
      }else{
        $tmp = array($nombreElm=>"<b><font color=red>No se encontro el registro</font></b>");
      }
      
      $scadena = utilJson::generateJsonElment($tmp);
      ////echo "<pre>";
      //print_r($scadena);
      //echo "<pre>";
    }
       
    header("X-JSON: ".$scadena);
  break;
  
    case 'getRepresentante':

    $o_ObjectBean = new MercadoRepresentanteBean();
    if($value!=""){ 
      $value = (int)$value;
      $o_ObjectBean->setIdMercado($value);
      
      $o_class = new MercadoRepresentanteBL();
      $a_ObjectMercadoRepresentanteBean = $o_class->busquedaMercadoRepresentanteDetalle($o_ObjectBean);
		
      
      if(array($a_ObjectMercadoRepresentanteBean) && count($a_ObjectMercadoRepresentanteBean)>0){
        foreach ($a_ObjectMercadoRepresentanteBean as $key => $ObjectMercadoRepresentanteBean){
        	$a_IdColaborador[] = $ObjectMercadoRepresentanteBean->getIdColaborador();
        }
      }else{
      	$a_IdColaborador[0] = null ;
      }
      
      $o_Colaborador = new ColaboradorBean();
      $o_Colaborador->setIdColaboradores($a_IdColaborador);
      
      $o_ColaboradorBL = new ColaboradorBL();
      $a_o_Colaborador = $o_ColaboradorBL->busquedaColaborador($o_Colaborador);
      foreach ($a_o_Colaborador as $iKey => $o_Colaborador){
          $a_ValuesElm[] = $o_Colaborador->getIdColaborador()."_;_".$o_Colaborador->getNombreCompleto();
      }
      
      $a_Resultado     = array();
      foreach ($a_ValuesElm as $key => $value){
          $valueElm = $value;
          $a_Resultado[]  = '["'.$nombreElm.'","'.$valueElm.'"]';
      }
        
      $salida = "[".implode(",",$a_Resultado).']';
    
      header("X-JSON: ".$salida);
    }
       
    
  break;
  
  case 'getRepresentanteUser':

    $o_ObjectBean = new MercadoRepresentanteBean();
    if($value!=""){ 
      $value = (int)$value;
      $o_ObjectBean->setIdMercado($value);
      
      $o_class = new MercadoRepresentanteBL();
      $a_ObjectMercadoRepresentanteBean = $o_class->busquedaMercadoRepresentanteDetalle($o_ObjectBean);
		
      
      if(array($a_ObjectMercadoRepresentanteBean) && count($a_ObjectMercadoRepresentanteBean)>0){
        foreach ($a_ObjectMercadoRepresentanteBean as $key => $ObjectMercadoRepresentanteBean){
        	$a_IdColaborador[] = $ObjectMercadoRepresentanteBean->getIdColaborador();
        }
      }else{
      	$a_IdColaborador[0] = null ;
      }
      
      $o_Colaborador = new ColaboradorBean();
      $o_Colaborador->setIdColaboradores($a_IdColaborador);
      
      $o_ColaboradorBL = new ColaboradorBL();
      $a_o_Colaborador = $o_ColaboradorBL->busquedaColaborador($o_Colaborador);
      foreach ($a_o_Colaborador as $iKey => $o_Colaborador){
          $a_ValuesElm[] = $o_Colaborador->getUsuario()."_;_".$o_Colaborador->getNombreCompleto();
      }
      
      $a_Resultado     = array();
      foreach ($a_ValuesElm as $key => $value){
          $valueElm = $value;
          $a_Resultado[]  = '["'.$nombreElm.'","'.$valueElm.'"]';
      }
        
      $salida = "[".implode(",",$a_Resultado).']';
    
      header("X-JSON: ".$salida);
    }
       
    
  break;
  
  case 'getMercado':

    $o_ObjectBean = new SucursalMercadoBean();
    if($value!=""){ 
      $value = (int)$value;
      $o_ObjectBean->setIdSucursal($value);
      
      $o_class = new SucursalMercadoBL();
      $a_ObjectSucursalMercadoBean = $o_class->busquedaSucursalMercadoDetalle($o_ObjectBean);
		
      
      if(array($a_ObjectSucursalMercadoBean)){
        foreach ($a_ObjectSucursalMercadoBean as $key => $ObjectSucursalMercadoBean){
        	$a_IdMercados[] = $ObjectSucursalMercadoBean->getIdMercado();
        }
      }
      
      $o_Mercado = new MercadoBean();
      if(count($a_IdMercados) == '0') $a_IdMercados['X'] = 'X'; 
      $o_Mercado->setIdMercados($a_IdMercados);
      
      $o_MercadoBL = new MercadoBL();
      $a_o_mercado = $o_MercadoBL->busquedaMercado($o_Mercado);
      foreach ($a_o_mercado as $iKey => $o_mercado){
          $a_ValuesElm[] = $o_mercado->getIdMercado()."_;_".$o_mercado->getDescripcion();
      }
      
      $a_Resultado     = array();
      foreach ($a_ValuesElm as $key => $value){
          $valueElm = $value;
          $a_Resultado[]  = '["'.$nombreElm.'","'.$valueElm.'"]';
      }
        
      $salida = "[".implode(",",$a_Resultado).']';
    
      header("X-JSON: ".$salida);
    }
       
    
  break;
  
  
 
  case 'getEspecialidad':
    
      if(!$value) $value = "99999999";
      $o_especialidadBean = new EspecialidadBean();
      $o_especialidadBean->setFacultadId($value);
  
      $o_class = new EspecialidadBL();
      $a_ObjectBean = $o_class->getEspecialidad($o_especialidadBean);

      if(is_array($a_ObjectBean) && count($a_ObjectBean) > 0){
        foreach ($a_ObjectBean as $iKey => $oValue){
          $a_ValuesElm[] = $oValue->getEspecialidadId()."_;_".$oValue->getEspecialidadDescripcion();
        }
        
        $a_Resultado     = array();
        foreach ($a_ValuesElm as $key => $value){
          $valueElm = $value;
          $a_Resultado[]  = '["'.$nombreElm.'","'.$valueElm.'"]';
        }
        
      }else{
        $a_Resultado = array($nombreElm=>"");
      }
      
      
      $salida = "[".implode(",",$a_Resultado).']';
     /* echo "<pre>";
      print_r($salida);
      echo "<pre>";*/
      header("X-JSON: ".$salida);
    break;
  
}
}
?>